Bug 980821 - (CVE-2013-2233) CVE-2013-2233 ansible: Does not cache SSH host keys (preventing possibility of server's host key to be checked against system host keys)
CVE-2013-2233 ansible: Does not cache SSH host keys (preventing possibility o...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120813,repor...
: Security
Depends On: 980827 980828
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 06:01 EDT by Jan Lieskovsky
Modified: 2017-05-12 03:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-12 03:03:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-03 06:01:36 EDT
A security flaw was found in the way Ansible, a SSH-based configuration management, deployment, and task execution system, performed remote server's SSH host key management (previously ability to store known SSH server's host keys to local cache was not supported). A remote attacker could use this flaw to conduct man-in-the-middle (MiTM) attacks against the Ansible task execution system user.

References:
[1] http://www.openwall.com/lists/oss-security/2013/07/01/2
[2] http://www.openwall.com/lists/oss-security/2013/07/02/6

Upstream bug (no upstream patch as of 2013-07-03):
[3] https://github.com/ansible/ansible/issues/857
Comment 1 Jan Lieskovsky 2013-07-03 06:04:59 EDT
This issue affects the versions of the ansible package, as shipped with Fedora release of 17, 18, and 19. Please schedule an update (once there's final upstream patch available).

--

This issue affects the version of the ansible package, as shipped with Fedora EPEL-6. Please schedule an update (once there's final upstream patch available).
Comment 2 Jan Lieskovsky 2013-07-03 06:06:53 EDT
Created ansible tracking bugs for this issue:

Affects: fedora-all [bug 980827]
Affects: epel-6 [bug 980828]
Comment 3 Fedora Update System 2013-07-14 21:04:52 EDT
ansible-1.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-07-14 21:06:18 EDT
ansible-1.2.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-07-14 21:10:03 EDT
ansible-1.2.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-07-21 14:37:17 EDT
ansible-1.2.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.